
require("prototypes.chest-functions")


data:extend(
{
  
  {
    type = "logistic-container",
    name = "logistic-chest-storage-medium",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-storage-plus.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-storage-medium"},
    max_health = 700,
    corpse = "medium-remnants",
    resistances = chest_resist["steel2x2"],
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    fast_replaceable_group = "container-medium",
    inventory_size = 120,
    logistic_mode = "storage",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-storage-medium.png",
      priority = "extra-high",
      width = 76,
      height = 64,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest2x2"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest2x2"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
   
  {
    type = "logistic-container",
    name = "logistic-chest-requester-medium",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-requester-plus.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-requester-medium"},
    max_health = 700,
    corpse = "medium-remnants",
    resistances = chest_resist["steel2x2"],
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
	fast_replaceable_group =  "container-medium",
    inventory_size = 96,
    logistic_mode = "requester",
    logistic_slots_count = 18,
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-requester-medium.png",
      priority = "extra-high",
      width = 76,
      height = 64,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest2x2"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest2x2"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-storage-medium",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-storage-plus.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-storage-medium"},
    max_health = 700,
    corpse = "medium-remnants",
    resistances = chest_resist["steel2x2"],
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    fast_replaceable_group = "container-medium",
    inventory_size = 120,
    logistic_mode = "storage",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-storage-medium.png",
      priority = "extra-high",
      width = 76,
      height = 64,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest2x2"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest2x2"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-active-provider-medium",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-active-provider-plus.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-active-provider-medium"},
    max_health = 700,
    corpse = "medium-remnants",
    resistances = chest_resist["steel2x2"],
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    fast_replaceable_group = "container-medium",
    inventory_size = 120,
    logistic_mode = "active-provider",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-active-provider-medium.png",
      priority = "extra-high",
      width = 76,
      height = 64,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest2x2"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest2x2"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-passive-provider-medium",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-passive-provider-plus.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-passive-provider-medium"},
    max_health = 700,
    corpse = "medium-remnants",
    resistances = chest_resist["steel2x2"],
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    fast_replaceable_group = "container-medium",
    inventory_size = 120,
    logistic_mode = "passive-provider",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-passive-provider-medium.png",
      priority = "extra-high",
      width = 76,
      height = 64,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest2x2"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest2x2"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
	type = "logistic-container",
	name = "logistic-chest-buffer-medium",
	icon = "__Large-Chests__/graphics/icons/logistic-chest-buffer-plus.png",
	icon_size = 32,
	flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-buffer-medium"},
	max_health = 700,
    corpse = "medium-remnants",
    resistances = chest_resist["steel2x2"],
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    fast_replaceable_group = "container-medium",
    inventory_size = 120,
	logistic_mode = "buffer",
	logistic_slots_count = 18,
	open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
	close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-buffer-medium.png",
      priority = "extra-high",
      width = 76,
      height = 64,
      shift = {0.2, 0}
    },
	circuit_wire_connection_point = circuit_connector_definitions["chest2x2"].points,
	circuit_connector_sprites = circuit_connector_definitions["chest2x2"].sprites,
	circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-requester-big",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-requester-plus2.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-requester-big"},
    max_health = 1400,
    corpse = "big-remnants",
    resistances = chest_resist["steel3x3"],
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	fast_replaceable_group =  "container-big",
    inventory_size = 240,
    logistic_mode = "requester",
    logistic_slots_count = 24,
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-requester-big.png",
      priority = "extra-high",
      width = 114,
      height = 96,
      shift = {0.3, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest3x3"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest3x3"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-storage-big",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-storage-plus2.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-storage-big"},
    max_health = 1400,
    corpse = "big-remnants",
    resistances = chest_resist["steel3x3"],
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "container-big",
    inventory_size = 240,
    logistic_mode = "storage",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-storage-big.png",
      priority = "extra-high",
      width = 114,
      height = 96,
      shift = {0.3, 0}
    },
	circuit_wire_connection_point = circuit_connector_definitions["chest3x3"].points,
	circuit_connector_sprites = circuit_connector_definitions["chest3x3"].sprites,
	circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-active-provider-big",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-active-provider-plus2.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-active-provider-big"},
    max_health = 1400,
    corpse = "big-remnants",
    resistances = chest_resist["steel3x3"],
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "container-big",
    inventory_size = 240,
    logistic_mode = "active-provider",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-active-provider-big.png",
      priority = "extra-high",
      width = 114,
      height = 96,
      shift = {0.3, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest3x3"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest3x3"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
    type = "logistic-container",
    name = "logistic-chest-passive-provider-big",
    icon = "__Large-Chests__/graphics/icons/logistic-chest-passive-provider-plus2.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-passive-provider-big"},
    max_health = 1400,
    corpse = "big-remnants",
    resistances = chest_resist["steel3x3"],
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "container-big",
    inventory_size = 240,
    logistic_mode = "passive-provider",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-passive-provider-big.png",
      priority = "extra-high",
      width = 114,
      height = 96,
      shift = {0.3, 0}
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest3x3"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest3x3"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
  {
	type = "logistic-container",
	name = "logistic-chest-buffer-big",
	icon = "__Large-Chests__/graphics/icons/logistic-chest-buffer-plus2.png",
	icon_size = 32,
	flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "logistic-chest-buffer-big"},
	max_health = 1400,
    corpse = "big-remnants",
    resistances = chest_resist["steel3x3"],
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "container-big",
    inventory_size = 240,
	logistic_mode = "buffer",
	logistic_slots_count = 24,
	open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
	close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__Large-Chests__/graphics/entities/logistic-chest-buffer-big.png",
      priority = "extra-high",
      width = 114,
      height = 96,
      shift = {0.3, 0}
    },
	circuit_wire_connection_point = circuit_connector_definitions["chest3x3"].points,
	circuit_connector_sprites = circuit_connector_definitions["chest3x3"].sprites,
	circuit_wire_max_distance = default_circuit_wire_max_distance
  },
}
)


data.raw["logistic-container"]["logistic-chest-requester"].max_health = 350
data.raw["logistic-container"]["logistic-chest-requester"].resistances =
chest_resist["steel1x1"]

data.raw["logistic-container"]["logistic-chest-storage"].max_health = 350
data.raw["logistic-container"]["logistic-chest-storage"].resistances =
chest_resist["steel1x1"]

data.raw["logistic-container"]["logistic-chest-active-provider"].max_health = 350
data.raw["logistic-container"]["logistic-chest-active-provider"].resistances =
chest_resist["steel1x1"]

data.raw["logistic-container"]["logistic-chest-passive-provider"].max_health = 350
data.raw["logistic-container"]["logistic-chest-passive-provider"].resistances =
chest_resist["steel1x1"]

data.raw["logistic-container"]["logistic-chest-buffer"].max_health = 350
data.raw["logistic-container"]["logistic-chest-buffer"].resistances =
chest_resist["steel1x1"]